bin_PROGRAMS = kdetvscreensaver.kss
kdetvscreensaver_kss_SOURCES = screensaver.cpp saverconfigwidget.ui
kdetvscreensaver_kss_LDFLAGS = $(all_libraries) -version-info 1:0:0 -module -no-undefined
kdetvscreensaver_kss_LDADD   = ../../libkdetv/libkdetv.la $(LIB_KDECORE) $(LIB_KDEUI) -lkscreensaver -lm 

saverdir = $(kde_appsdir)/System/ScreenSavers
saver_DATA = kdetvscreensaver.desktop

# install kdelirc profile
profiledata_DATA = kdetvscreensaver.profile.xml
profiledatadir = $(kde_datadir)/profiles

#
# General
#
INTERFACES   = 
TRANSLATIONS = 
EXTRA_DIST   = $(saver_DATA) $(profiledata_DATA)
METASOURCES  =	AUTO

# set the include path for X, qt and KDE
INCLUDES= -I$(srcdir)/../../libkdetv $(all_includes)
